package de.w665.sharepulse.service;

import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.Date;

@Service
public class FileIdService {

    private static int dailyCounter = 0;
    private static String lastDate = "";

    // Not safe to use
    public static synchronized String generateId() {
        String today = new SimpleDateFormat("yyMMdd").format(new Date());

        if (!today.equals(lastDate)) {
            dailyCounter = 0;
            lastDate = today;
        }

        String counterEncoded = Integer.toString(++dailyCounter, 36).toUpperCase();

        return today + counterEncoded;
    }

    public String generateNewUniqueId() {
        return generateId();
    }



}
